Python
import os
from datetime import date
from artemis import Artemis
client = Artemis()
response = client.flow.get_top(
api_key=os.environ["ARTEMIS_API_KEY"],
breakdown="chains",
end_date=date(2026, 2, 1),
flow_type="netflow",
source_chains="ethereum,arbitrum,base",
start_date=date(2026, 1, 1),
)
print(response.netflow)curl --request GET \
--url https://data-svc.artemisxyz.com/flows/top/const options = {method: 'GET'};
fetch('https://data-svc.artemisxyz.com/flows/top/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data-svc.artemisxyz.com/flows/top/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data-svc.artemisxyz.com/flows/top/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data-svc.artemisxyz.com/flows/top/")
.asString();require 'uri'
require 'net/http'
url = URI("https://data-svc.artemisxyz.com/flows/top/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"inflow": {
"ethereum": 88869217.4,
"arbitrum": 79059259.03,
"base": 35071676.44
},
"netflow": {
"ethereum": -20650296.17,
"arbitrum": -5265571.05,
"base": 25915867.22
},
"outflow": {
"ethereum": 109519513.58,
"arbitrum": 84324830.08,
"base": 9155809.21
}
}Flows
Get Flows by Chain (Netflow, Inflow, or Outflow)
Returns chain-level inflows, outflows, or netflows for a set of source chains over a date range. Use flowType to select which view: inflow (capital entering each chain), outflow (capital leaving), or netflow (the difference). Chain identifiers should match the full chain names from List Supported Assets.
GET
/
flows
/
top
/
Python
import os
from datetime import date
from artemis import Artemis
client = Artemis()
response = client.flow.get_top(
api_key=os.environ["ARTEMIS_API_KEY"],
breakdown="chains",
end_date=date(2026, 2, 1),
flow_type="netflow",
source_chains="ethereum,arbitrum,base",
start_date=date(2026, 1, 1),
)
print(response.netflow)curl --request GET \
--url https://data-svc.artemisxyz.com/flows/top/const options = {method: 'GET'};
fetch('https://data-svc.artemisxyz.com/flows/top/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data-svc.artemisxyz.com/flows/top/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://data-svc.artemisxyz.com/flows/top/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://data-svc.artemisxyz.com/flows/top/")
.asString();require 'uri'
require 'net/http'
url = URI("https://data-svc.artemisxyz.com/flows/top/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"inflow": {
"ethereum": 88869217.4,
"arbitrum": 79059259.03,
"base": 35071676.44
},
"netflow": {
"ethereum": -20650296.17,
"arbitrum": -5265571.05,
"base": 25915867.22
},
"outflow": {
"ethereum": 109519513.58,
"arbitrum": 84324830.08,
"base": 9155809.21
}
}Query Parameters
Response
200 - application/json
Flows data based on flowType parameter
Response containing flow data by chain. Properties present depend on flowType parameter.
